// Von Referenzpunkt kopieren - Version D1-1.1

// Dieses Skript multipliziert die Werte der zweiten Gruppe von Einblendmens mit einem  
// Skalierungsfaktor und bertrgt das Ergebnis auf die erste Gruppe von Einblendmens,
// vorausgesetzt, da der erste Wert die Position angibt, und der zweite ein
// Effektreferenzpunkt ist.

//      EBENE                                   EIGENSCHAFT                KANAL
//      -----                                   -------------               ------
// 1: Kopierte Ebenenposition					Position				Kanal der Positionseigenschaft
// 2: Ebene mit Effekt							Effektreferenzpunkt     Kanal des Effektreferenzpunkts

// Da Effektreferenzpunkte als Ebenenkoordinaten angegeben werden, mu der Referenzpunkt
// mit "layer_to_comp"  von Ebenenkoordinaten in Kompositionskoordinaten umgewandelt
// werden.

scale_factor = 1.0; // Skalierungsfaktor
value(pop_layer(1), pop_property(1)) [pop_channel(1)] =
  layer_to_comp(pop_layer(2), 
												  value(pop_layer(2), pop_property(2)) [pop_channel(2)]) * scale_factor;
