// Zeigen auf - Version D1-1.1

// Dieses Skript bewirkt, da die Ebene aus dem erstem Einblendmen auf die Ebene im
// zweiten Einblendmen zeigt. Durch Festlegen von Keyframes fr die Drehung zeigt die
// Y-Achse von Ebene 1 auf den Mittelpunkt von Ebene 2.

//      EBENE                                   EIGENSCHAFT                        KANAL
//      -----                                   -------------                       ------
// 1: Zeigende Ebene                      Wird nicht bercksichtigt       Wird nicht bercksichtigt
// 2: Ebene, auf die gezeigt wird    Wird nicht bercksichtigt       Wird nicht bercksichtigt

delta = value(pop_layer(1), position) - value(pop_layer(2), position);

// Berechnet den Winkel, der dem Vektor zwischen Ebene 1 und Ebene 2 entspricht.
// Subtrahiert den Wert 90, so da die Y-Achse auf das Objekt zeigt, und nicht die X-Achse.
ang = rad_to_deg(atan2(delta[Y], delta[X])) - 90;

value(pop_layer(1), rotation) = ang;
