// Eckpunktbewegung umwandeln - Version D1-1.1

// Mit dem Keyframe-Assistenten "Bewegung verfolgen" werden Eckpunkte erzeugt, deren
// Bewegung sich relativ zum Bezugspunkt der Ebene ndert. Dieses Skript wandelt diese
// relative Bewegung in eine absolute um, so da die Bewegung anhand der Keyframes fr die
// Eckpunkte erfolgt.

//      EBENE                                   EIGENSCHAFT                        KANAL
//      -----                                   -------------                       ------
// 1: Ebene mit Eckpunkten					Wird nicht bercksichtigt       Wird nicht bercksichtigt
// 2: Wird nicht bercksichtigt				Wird nicht bercksichtigt       Wird nicht bercksichtigt

if (time() == start_time) {
	init_pos = value(pop_layer(1), position);

} else {
	delta_pos = value(pop_layer(1), position) - init_pos;
	
	value(pop_layer(1), position) = init_pos;

  // Geht davon aus, da der Effekt "Eckpunkte verschieben" an erster Stelle im
  // Effektfenster aufgefhrt ist.
	effect_value(pop_layer(1), 0, 1) = effect_value(pop_layer(1), 0, 1) + delta_pos;
	effect_value(pop_layer(1), 0, 2) = effect_value(pop_layer(1), 0, 2) + delta_pos;
	effect_value(pop_layer(1), 0, 3) = effect_value(pop_layer(1), 0, 3) + delta_pos;
	effect_value(pop_layer(1), 0, 4) = effect_value(pop_layer(1), 0, 4) + delta_pos;
}