// Ebenenaudio in Zeitverzerrung - Version 1.0

// Dieses Programm legt den ersten Satz an Popup-Mens
// auf die Audiolautstrke der Ebene in Popup-Men 2 fest. Dieser wird so skaliert, da er innerhalb des Bereichs [min, max] liegt.
// Keyframes werden nur whrend der Dauer der Audioebene angewendet.

// EBENE															EIGENSCHAFT					KANAL
// ------															----------					--------
// 1: Ebene, in die die Audioamplitude kopiert wird			zu variierende Eigenschaft			Kanal der Eigenschaft
// 2: Ebene mit Audio												nicht relevant				nicht relevant

max = 0.02;		// in Hchstwert ndern
min = -0.02;			// in Mindestwert ndern

if (time() == start_time) {	//initialization
	audio_in	= layer_time_bounds(pop_layer(2))[0] ;
	audio_out	= layer_time_bounds(pop_layer(2))[1] ;
}

if ( (time() >= audio_in) && (time() <= audio_out) ) {

	value(pop_layer(1), pop_property(1)) [pop_channel(1)] = 
	     min + layer_audio_amplitude(pop_layer(2)) * (max - min) +
		value(pop_layer(1), pop_property(1)) [pop_channel(1)];

}
