// Relative Werte kopieren - Version 1.1

// Dieses Skript kopiert die relativen Werte aus dem zweiten Satz an Popup-Mens in den ersten Satz an Popup-Mens.
// Durch Anpassen des Skalierungsfaktors knnen Sie eine Parallax-Bewegung simulieren.
// ndern Sie den Skalierungsfaktor auf Zahlen kleiner als 1 fr Ebene 1 hinter Ebene 2.
// ndern Sie den Skalierungsfaktor auf Zahlen grer als 1 fr Ebene 1 vor Ebene 2.

//      EBENE                                               EIGENSCHAFT                     KANAL
//      ------                                              ----------                     --------
// 1: Betreffende Ebene										Betreffende Eigenschaft    Betrefender Kanal
// 2: Ebene, aus der die relativen Werte kopiert werden    Eigenschaft kopieren aus    Kanal kopieren aus

if (time() == start_time) { // Initialisierung

	scale_factor = 1.0;		// > 1 bedeutet Skalierung nach oben up, < 1 bedeutet Skalierung nach unten

	// Compute the initial values for layer 1 and 2
	start_val1 = value(pop_layer(1), pop_property(1))[pop_channel(1)];
	start_val2 = value(pop_layer(2), pop_property(2))[pop_channel(2)];

} else {															// Fr jeden Frame nach dem ersten Frame
  
	// Calculate the current value for layer 2
	current_val2 = value(pop_layer(2), pop_property(2)) [pop_channel(2)];

	// Assign scaled values from layer 2 to layer 1.
	value(pop_layer(1), pop_property(1)) [pop_channel(1)] =
		start_val1 + (current_val2 - start_val2) * scale_factor;
}
