// Ebenen nach Kompositionsgre skalieren - Version 1.0

// Dieses Skript skaliert alle Ebenen der Komposition um den unten angegebenen Skalierungsfaktor.
// Die Position und Skalierung werden gendert. Dies bietet sich vor allem an, wenn Sie die Gre einer
// Komposition ndern und alle Objekte entsprechend der neuen Dimensionen skalieren mchten.

//      EBENE                                               EIGENSCHAFT                     KANAL
//      ------                                              ----------                     --------
// 1: nicht relevant                               nicht relevant               nicht relevant
// 2: nicht relevant                               nicht relevant               nicht relevant

if (time() == start_time) {
	original_comp_dimensions = {320,240};   // vor Skalierung in Kompositionsgre ndern
	new_comp_dimensions = {160,120};          // nach Skalierung in Kompositionsgre ndern

	scale_factor = (new_comp_dimensions / original_comp_dimensions);
}

l = 1;
while (l <= num_layers) {       // Schleife ber jeder Ebene

        value(l, position) = value(l, position) * scale_factor;
        value(l, scale) = value(l, scale) * scale_factor;

  l = l+1;
}
