// Verbinden - Version D1-1.0

// Dieses Skript dehnt, dreht und bewegt die gewhlte Verbindungsebene zwischen den in
// den Einblendmens gewhlten Ebenen.

//      EBENE                                   EIGENSCHAFT                        KANAL
//      -----                                   -------------                       ------
// 1: Ebene 1                                 Wird nicht bercksichtigt       Wird nicht bercksichtigt
// 2: Ebene 2                                 Wird nicht bercksichtigt       Wird nicht bercksichtigt

// span_layer: Ebene, durch die Ebene 1 mit Ebene 2 verbunden wird.

span_layer = "Verbindungsebene"; 
//Tragen Sie hier den Namen oder die Nummer Ihrer Ebene ein.

l1 = pop_layer(1);
l2 = pop_layer(2);

// Bestimmt den Mittelpunkt zwischen Ebene 1 und Ebene 2.
value(span_layer, position) = (value(l1, position) + value(l2, position)) / 2;

// Berechnet den Vektor zwischen Ebene 1 und Ebene 2.
delta = value(l1, position) - value(l2, position);

// Berechnet die Drehung der Ebene durch Umwandeln des Vektors in Grad.
value(span_layer, rotation) = -rad_to_deg( atan2(delta[X], delta[Y]) ) + 90;

// Pat die Skalierung der Verbindungsebene dem Abstand zwischen Ebene 1 und Ebene 2 an.
value(span_layer, scale)[X] = length(delta) / layer_size(span_layer)[X] * 100;
