// Auf Referenzpunkt anwenden - Version D1-1.1

//Dieses Skript multipliziert die Werte der zweiten Gruppe von Einblendmens mit einem  
//Skalierungsfaktor und bertrgt das Ergebnis auf die erste Gruppe von Einblendmens,
//vorausgesetzt, da die erste Eigenschaft ein Effektreferenzpunkt ist.

//      EBENE                                   EIGENSCHAFT                KANAL
//      -----                                   -------------               ------
// 1: Ebene mit Effekt                    Effektreferenzpunkt       Kanal des Effektreferenzpunkts
// 2: Kopierte Ebenenposition         Position                         Kanal der Positionseigenschaft

scale_factor = 1.0;	// Skalierungsfaktor
value(pop_layer(1), pop_property(1)) [pop_channel(1)] =
  comp_to_layer(pop_layer(1), 
												  value(pop_layer(2), pop_property(2)) [pop_channel(2)]) * scale_factor;
